package GraphExplorer;


import java.io.Serializable;


public class Edge implements Comparable<Edge> ,Serializable{

    int start, end, weight;
    public boolean isResult = false;

    public void setIsResult(boolean b) {
        isResult = b;
    }

    public Edge(int start, int end, int weight) {
        this.start = start - 1;
        this.end = end - 1;
        this.weight = weight;
    }

    @Override
    public int compareTo(Edge t) {
        return (this.weight < t.weight) ? -1 : ((this.weight == t.weight) ? 0 : 1);
    }
}